petsc-3.4.2 2013-07-02

# SNESLineSearchSetSuccess

Sets the success/failure status of the last line search application

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetSuccess(SNESLineSearch linesearch, PetscBool success)

### Input Parameters

| linesearch | - linesearch context
| success | - The success or failure status

### Notes

This is typically called in a SNESLineSearchApply() or SNESLineSearchShell implementation to set the success or failure of the line search method.

### See Also

SNESLineSearchGetSuccess()

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages